package com.loafle.commons.server.socket.handler.codec;

import io.netty.channel.ChannelInboundHandler;
import io.netty.channel.ChannelPipeline;

/**
 * Marker interface which all SocketFrame decoders need to implement.
 *
 * This makes it easier to access the added encoder later in the {@link ChannelPipeline}.
 */
public interface SocketFrameDecoder extends ChannelInboundHandler {
}