package com.loafle.commons.server.socket.handler.codec;

import io.netty.channel.ChannelOutboundHandler;
import io.netty.channel.ChannelPipeline;

/**
 * Marker interface which all SocketFrame encoders need to implement.
 *
 * This makes it easier to access the added encoder later in the {@link ChannelPipeline}.
 */
public interface SocketFrameEncoder extends ChannelOutboundHandler {
}